{* Smarty *}
{if $text}
<form action="{$smarty.const.CF_BASE_URL}pages" method="post">
<input type="hidden" name="s" value="1" />
{* To enable AJAX this table must have an id of "pages" and each page must be between it's own tbody tags; $txt.draft must have the class "draft" *}
<table id="pages">
<thead>
	<th>{$smarty.const.LN_PAGE}</th>
	<th>{$smarty.const.LN_PAGE_LISTED}</th>
	<th>{$smarty.const.LN_SORT_ORDER}</th>
	<th>{$smarty.const.LN_PAGE_BOX_LISTED}</th>
	<th>{$smarty.const.LN_SORT_ORDER}</th>
	<th></th>
</thead>
{foreach from=$text item=i key=k}
<tbody>
	<tr>
		<td><strong><a href="{$i.url}">{$i.title}</a>{if $i.draft} <span class="draft">({$i.draft})</span>{/if}</strong><br />{$i.text|truncate:150:"...":false}</td>
		<td>{html_options name="lt[$k]" options=$yes_no_list selected=$i.listed}</td>
		<td><input type="text" name="st[{$k}]" value="{$i.sort}" class="short" /></td>
		<td>{html_options name="blt[$k]" options=$yes_no_list selected=$i.box_listed}</td>
		<td><input type="text" name="bst[{$k}]" value="{$i.box_sort}" class="short" /></td>
		<td>
			{if $i.publish}<a href="{$i.publish}">{$smarty.const.LN_PUBLISH}</a><br />{/if}
			<a href="{$i.edit}">{$smarty.const.LN_EDIT}</a><br />
			<a href="{$i.delete}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
</tbody>
{/foreach}
<tbody>
	<tr>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
		<td></td>
	</tr>
</tbody>
</table>
{/if}